Skip to content
OrdersCarts

List carts

Returns cursor-paginated carts, filterable by status, email and text.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
status?array<>

Only items in these statuses.

Value in

  • "inProgress"
  • "pending"
  • "completed"
  • "abandoned"
  • "cancelled"
  • "expired"
  • "failed"
email?string

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/carts" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004325176",      "storeId": "7204558912004327977",      "regionId": "7204558912004324764",      "customerId": "7204558912004326262",      "salesChannelId": "7204558912004322655",      "email": "andrea.ramos@example.com",      "phone": "+51987654321",      "firstName": "Andrea",      "lastName": "Ramos",      "currencyCode": "PEN",      "status": "inProgress",      "completedAt": "2026-09-28T15:30:00Z",      "abandonedNotifiedOn": "2026-09-28T15:30:00Z",      "itemCount": 24,      "quantity": 2,      "shippingMethodCount": 24,      "totals": {        "items": {          "subtotal": 178,          "discount": 10,          "tax": 1,          "warranty": 1,          "total": 178        },        "shipping": {          "subtotal": 178,          "discount": 10,          "tax": 1,          "total": 178        },        "total": 178      },      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}